# babe-qt-1.2
# git clone https://github.com/milohr/babe-qt.git
# rename to babe-qt-1.2 and create archive tar.xz

Name:		babe-qt
Version:	1.2
Release:	%mkrel 3
URL:		https://github.com/milohr/babe-qt.git
Source:		%{name}-%{version}.tar.xz
Source1:    org.kde.babe.desktop
License:	GPLv2+
Group:		Graphical desktop/KDE5
Summary:	Tiny Qt Babe Music Player
#------------------------------------------
BuildRequires: lib64kcodecs-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires: lib64qt5webengine-devel
BuildRequires: lib64qt5websockets-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64taglib-devel
BuildRequires: cmake
BuildRequires: kf5-macros
#------------------------------------------
Requires: ki18n
Requires: knotifications
Requires: lib64webengine5
Requires: lib64qt5websockets5
Requires: desktop-file-utils

Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Babe is a tiny Qt music player to keep your favorite songs at hand
Babe will handle your whole music collection, letting you create
custom playlists to organize your music.
You can also filter your music by artist, title, album, genre, date
and location. Babe let's you babe-mark your favorite YouTube music
videos into your local collection by using the Chromium extension.
Think of Babe as the playlist where all your favorite tracks at the
moment are.
And when needed you also have an integrated collection manager.

%prep
%setup -q

%build
%cmake_kf5

%make

%install
rm -rf %{buildroot}
%make_install -C build

# install our starter file
install -m 644 %SOURCE1 %{buildroot}%{_datadir}/applications/org.kde.babe.desktop


%clean
rm -rf %{buildroot}


%files -n %{name}
%defattr(-,root,root)
%{_bindir}/babe
%{_datadir}/applications/org.kde.babe.desktop
%{_datadir}/icons/hicolor/48x48/apps/babe.svg
%{_datadir}/metainfo/org.kde.babe.appdata.xml


%changelog
* Wed Feb 06 2019 tex - 1.2-3pclos2019
- rebuild against updates

* Mon Jun 04 2018 bb2 <bb2> - 1.2-2pclos2018
- fix desktop file for audio only in menu

* Sun Jan 28 2018 onkelho <oh.quait at gmail.com> 1.2-1pclos2018
- init version


